CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.org] Installation of openfoam 6 on Ubuntu 18.04

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   March 7, 2019, 11:52
Default Installation of openfoam 6 on Ubuntu 18.04
  #1
New Member
 
Eric Murphy
Join Date: Mar 2019
Posts: 3
Rep Power: 3
EMurphy is on a distinguished road
Greetings,

I am having problems following the installation of openfoam 6 on my Ubuntu 18.04 build. I should note that there are different mpi's in use on my machine and are in use for different software. I have installed using the directions of

I solved the error of
"gcc: error: unrecognized command line option ‘--showme:link’; did you mean ‘--force-link’?",

when mpirun was called by adding "export WM_MPLIB=OPENMPI" to the file /opt/openfoam6/etc/prefs.sh. This file of course was copied into that director from /opt/openfoam6/etc/config.sh/example/.

However, now when attempting to run a parallel case I obtain,

interFoam: symbol lookup error: /opt/openfoam6/platforms/linux64GccDPInt32Opt/lib/libOpenFOAM.so: undefined symbol: pthread_create.

Any recommendations on how to remedy this would be appreciated. Serial computations work fine.
EMurphy is offline   Reply With Quote

Old   March 7, 2019, 18:32
Default
  #2
Retired Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,956
Blog Entries: 45
Rep Power: 122
wyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to all
Quick answer:
  1. Make sure to use an alias for loading the OpenFOAM 6 shell environment, instead of activating it automatically. More details here: https://openfoamwiki.net/index.php/I...with_the_Shell
  2. Remove the "/opt/openfoam6/etc/prefs.sh" file.
  3. As root, run the following commands:
    Code:
    ln -s /usr/bin/mpicc.openmpi /opt/openfoam6/bin/mpicc
    ln -s /usr/bin/mpirun.openmpi /opt/openfoam6/bin/mpirun
    This is assuming that the "openmpi" installation defined for these two executables "*.openmpi" is for the default Open-MPI installation in Ubuntu 18.04, given that this is the one used by OpenFOAM 6.
  4. Start a new terminal and in this new terminal you can then activate the shell environment for OpenFOAM 6 by calling the respective alias that you should have created in your own "~/.bashrc" file.
    • Do not use other MPI toolboxes in this terminal, unless you really have to, in which case, you may need to use the complete path to them instead of the name alone, e.g.:
      Code:
      /usr/bin/
  5. If you want to use other MPI toolboxes without conflict, start another terminal window or tab and work with other software in those other terminals.
If this is not a viable workflow for you, we need more details, in order to figure out a proper installation protocol that works for everyone. For example, which other MPI toolboxes are installed and how do you use them in your somehow-non-conflicting workflow?
__________________
wyldckat is offline   Reply With Quote

Reply

Tags
errors, installation of openfoam, mpi

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
[OpenFOAM.org] OpenFOAM 3.0.1 installation on Ubuntu 14.04 Hrushi OpenFOAM Installation 6 July 8, 2017 18:47
[OpenFOAM.org] OpenFoam 3.0 installation on Ubuntu 14.04.3 tab2001ng OpenFOAM Installation 3 March 8, 2016 01:38
Frequently Asked Questions about Installing OpenFOAM wyldckat OpenFOAM Installation 0 January 1, 2014 19:21
Problem? with Installation of OpenFOAM 2.1.0 on to Ubuntu 10.4.4 VirtualBox Stubby OpenFOAM Installation 8 March 5, 2012 15:12
openFOAM installation in ubuntu 11.10 kirubhakaran OpenFOAM Installation 5 February 17, 2012 02:16


All times are GMT -4. The time now is 15:43.